import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="cutex",
    version="0.2.0",
    author="Yuyao Huang",
    author_email="huangyuyao@outlook.com",
    description="PyCUDA based PyTorch Extension Made Easy",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/tjyuyao/cutex",
    project_urls={
        "Bug Tracker": "https://github.com/tjyuyao/cutex/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.6",
    install_requires=[
        "pycuda",
        "robotpy-cppheaderparser",
    ],
    package_data={
        "cutex": ["include/*.cuh"],
    }
)
